body {
    margin: 0;
}
.header {
    height: 100vh;
    background: url(headerPaisaje.jpg) no-repeat center center;
    background-size: cover;
    color: white;
    position: relative;
	flex-direction: row;
    box-sizing: border-box;
    display: flex;
}
.header:before {
    position: absolute;
    content: '';
    background: rgba(0, 0, 0, .2);
    width: 100%;
    height: 100vh;
    z-index: 997;
    top: 0;
}
.mat-typography {
    flex-direction: column;
    box-sizing: border-box;
    display: flex;
    place-content: center;
    align-items: center;
    flex: 1 1 0%;
}

.adelante {
    flex-direction: column;
    box-sizing: border-box;
    display: flex;
    place-content: stretch center;
    align-items: stretch;
    flex: 1 1 1e-09px;
    z-index: 998;
}
.sombra {
    text-shadow: 0 0 30px black;
}
.titulo {
    text-align: center;
    font-weight: bold;
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 2px solid rgba(255, 255, 255, 0.7);
}

.subSubTitulo {
    text-align: center;
}

#subTitle {
    margin-bottom: 0px;
}

.flecha-abajo {
    margin-bottom: 15px;
    width: 90px;
    animation: flecha-animada 1.8s ease-in-out infinite;
}

@keyframes flecha-animada{ 
    from{
        transform: translateY(0);
    }

    50%{
        transform: translateY(8px);
    }

    to{
        transform: translateY(0);
    }
}

.mat-display-1{
    color: white;
    font: 400 34px/40px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 64px;
    text-shadow: 0 0 30px black;
    margin-bottom: 0px;
}

.mat-display-4{
    color: white;
    font: 300 112px/112px Roboto, "Helvetica Neue", sans-serif;
    margin: 0 0 56px;
    letter-spacing: -0.05em;
    text-shadow: 0 0 30px black;
    text-align: center;
    font-weight: bold;
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 2px solid rgba(255, 255, 255, 0.7);
}

.mat-input-element{
    font: inherit;
    background: 0 0;
    color: currentColor;
    border: none;
    outline: 0;
    padding: 0;
    margin: 0;
    width: 100%;
    max-width: 100%;
    vertical-align: bottom;
    text-align: inherit;
}

/* MENU */
.hamburger-menu {
    position: fixed;
    top: 10px;
    right: 10px;
    display: flex;
    flex-direction: column;
    cursor: pointer;
    padding: 10px;
    z-index: 1000; /* Increase the z-index value */
}

.bar {
    width: 30px;
    height: 3px;
    background-color: #333;
    margin: 6px 0;
}

.mobile-menu {
    position: fixed;
    top: 50px; /* Adjust as needed based on your design */
    right: 10px;
    display: none;
    flex-direction: column;
    background-color: #f4f4f4;
    padding: 15px;
    z-index: 999; /* Ensure it's higher than the hamburger button */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); /* Add a subtle shadow */
}

.mobile-menu.show {
    display: flex;
}

/* INPUT*/
/* Input styles */
.input-group {
    position: relative;
    margin: 20px;
}

.input {
    padding: 20px;
    width: 100%;
    max-width: 100%;
    box-sizing: border-box;
    outline: none;
    border: 1px solid #04AA6D;
    font: 16px Roboto, "Helvetica Neue", sans-serif;
}

.placeholder {
    position: absolute;
    top: 10px;
    left: 8px;
    font-size: 14px;
    padding: 0px 5px;
    color: #666;
    transition: 0.3s;
    pointer-events: none;
    font: 16px Roboto, "Helvetica Neue", sans-serif;
}

.input:focus + .placeholder {
    top: -10px;
    color: #04AA6D;
    background-color: #fff;
}

/* Main content styles */
.main {
    max-width: 1200px;
    margin: 0 auto;
}

/* Result grid styles */

.park-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 0px;
}

.park-result {
    position: relative;
    overflow: hidden;
    border: 1px solid #ddd;
    font: 16px Roboto, "Helvetica Neue", sans-serif;
    text-align: center;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    flex: 0 0 calc(33.33% - 20px);
    height: 200px; 
    object-fit: cover;
}

.park-result img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: top;
}

.park-result h3 {
    position: absolute;
    bottom: 10px;
    left: 0;
    width: 100%;
    margin: 0;
    padding: 10px 10px 10px 0px;
    background: rgba(0, 0, 0, 0.6);
    color: white;
    font: 16px Roboto, "Helvetica Neue", sans-serif;
}

/* Areas Naturales header styles */
.areas-naturales-header {
    background-color: black;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin: 10px;
    padding: 10px;
    text-align: center;
}

.areas-naturales-header h2 {
    color: white;
    margin: 0;
    font: 20px Roboto, "Helvetica Neue", sans-serif;
}

/* Footer styles */
.footer {
    background-color: #29621C;
    color: white;
    padding: 10px;
    text-align: center;
    font: 14px Roboto, "Helvetica Neue", sans-serif;
}

.footer p {
    margin: 0;
}

/* Service icon styles */
.service-icons {
    display: flex;
    justify-content: center;
	position:absolute;
	top:10px;
}

.service-icon {
    width: 40px !important;
    height: 40px !important;
    margin: 5px;
    position: relative;
}


/* Modal styles */
/* Style for the overlay behind the modal */
.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent black overlay */
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

/* Style for the modal container */
.modal {
    background: white;
    border-radius: 10px;
    padding: 20px;
    max-width: 80%;
    max-height: 80%;
    overflow-y: auto;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    font:14px Roboto, "Helvetica Neue", sans-serif;
}

.modal-close {
    display: block;
    margin: 20px auto; /* Center the Ok button */
    background: #ffffff;
    color: #000000;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    display:block;
    border: 1px solid #000000; /* Black border */
    border-radius: 10px; /* Rounded corners */
    margin-top:10px;
}

.modal h2 {
    color: #333333;
    text-align: center; 
}

.modal-content {
    text-align: justify; 
}

.modal-map-link {
    display: block;
    text-align: center; /* Center the link */
    margin-top: 10px; /* Add some space above the link */
}